import java.io.File;
import java.io.FileFilter;
import java.io.FilenameFilter;
import java.io.IOException;
import java.io.FileNotFoundException;
/**
 * Write a description of class Demo here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class DemoListFiles {
    public static void main(String[] args) throws IOException
    {
        File d = new File(".");
        
        File[] filesInCurrentDir = d.listFiles(
            new FilenameFilter() {
                public boolean accept(File dir, String name) {
                    return name.length() > 10;
                }
            });
        
        for(File f: filesInCurrentDir) {
            String label = f.isFile() ? "F" : "D";
            System.out.println(label + " " + f.getCanonicalPath());
        }
    }
}
class LongNameFilter implements FilenameFilter {
            public boolean accept(File dir, String name) {
                return name.length() > 10;
            }
}
class HiddenFilter implements FileFilter {
            public boolean accept(File file) {
                return file.isHidden();
            }
}
